        !COMPILER-GENERATED INTERFACE MODULE: Thu Oct 20 15:56:18 2016
        MODULE SRDSWM_mod
          INTERFACE 
            SUBROUTINE SRDSWM(LEN,JMAX,U,TEST,X,CTR)
              INTEGER(KIND=4) :: JMAX
              INTEGER(KIND=4) :: LEN
              INTEGER(KIND=4) :: U
              REAL(KIND=8) :: TEST
              REAL(KIND=8) :: X(LEN)
              INTEGER(KIND=4) :: CTR(JMAX+1)
            END SUBROUTINE SRDSWM
          END INTERFACE 
        END MODULE SRDSWM_mod
